Bug 1741082 - virt-resize in libguestfs-tools-c-1.40.2-5.el7_7.1.x86_64 failed by 'virt-resize: error: libguestfs error: f2fs: unknown group' error
Summary: virt-resize in libguestfs-tools-c-1.40.2-5.el7_7.1.x86_64 failed by 'virt-res...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.7
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 08:25 UTC by Keigo Noha
Modified: 2019-11-22 09:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 00:26:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Keigo Noha 2019-08-14 08:25:57 UTC
Description of problem:
virt-resize in libguestfs-tools-c-1.40.2-5.el7_7.1.x86_64 failed by 'virt-resize: error: libguestfs error: f2fs: unknown group' error

Version-Release number of selected component (if applicable):
libguestfs-1.40.2-5.el7_7.1.x86_64 

How reproducible:
Always

Steps to Reproduce:
1. Update libugestfs-tools and related packages to libguestfs-1.40.2-5.el7_7.1.x86_64 
2. Download http://download.libguestfs.org/binaries/appliance/appliance-1.40.1.tar.xz
3. Extract it into /opt
4. Download RHEL7.7 image and save it into /root directory.
4. Run following command.
~~~
export LIBGUESTFS_PATH=/opt/appliance", 
export LIBGUESTFS_BACKEND=direct", 
qemu-img create -f qcow2 -o preallocation=metadata /var/lib/libvirt/images/undercloud-0-disk1.qcow2 150G", 
virt-resize --expand /dev/sda1 /var/lib/libvirt/images/rhel-server-7.6-x86_64-kvm.qcow2 /var/lib/libvirt/images/undercloud-0-disk1.qcow2", 
~~~

Actual results:
The virt-resize failed with 'virt-resize: error: libguestfs error: f2fs: unknown group' error

Expected results:
The command succeeds without error.

Additional info:
This issue doesn't happen with libguestfs-tools-1.38.2-12.el7_6.2.noarch

Comment 3 Richard W.M. Jones 2019-08-14 09:45:15 UTC
> 2. Download http://download.libguestfs.org/binaries/appliance/appliance-1.40.1.tar.xz
> 3. Extract it into /opt
...
> export LIBGUESTFS_PATH=/opt/appliance", 

Why are you doing any of this?  Try it without any of that.

Also (if it still fails) please collect the full output using virt-resize -v -x and
attach that to the bug.

Comment 6 Keigo Noha 2019-08-22 00:26:19 UTC
Hi Richard,

I ran the command without the env parameter on RHEL7 works for RHEL7 images.
However, for RHEL8 image, virt-resize doesn't work fine.
I found the solution about the issue with RHEL8 image.

https://access.redhat.com/solutions/4073061

I understand the use case is not supported. So, I close this bugzilla as WONTFIX.

Thank you,
Keigo Noha


Note You need to log in before you can comment on or make changes to this bug.